function [hh1,hh]=plotx4(t,y,varargin)
if isempty(varargin)
    xax='Horizon';
    yax='Percent';
    fsize=14;
    
else
    xax=varargin{1};
    yax=varargin{2};
    fsize=varargin{3};
end
set(gcf,'DefaultAxesColorOrder',[0.1 0.1 0.8;1 0 0;1 0 0;0 0 1]);
cu=y(:,2);
cl=y(:,3);
chck=0;
if cols(y)>3
    chck=1;
   cu1=y(:,4);
cl1=y(:,5);
end
if rows(t)==1
h=t;
else
h=t';
end
h=h';
if chck==1
   
    hh=fill([h(1); h(1:end); flipud([h(1:end); h(end)])],[cu1(1); cl1(1:end); flipud([cu1(1:end); cl1(size(cl1,1))])],'b');
set(hh,'edgecolor',[1 0.95 0.85]);
set(hh,'facecolor',[1 0.7 0.7]);
hold on
end
hh=fill([h(1); h(1:end); flipud([h(1:end); h(end)])],[cu(1); cl(1:end); flipud([cu(1:end); cl(size(cl,1))])],'b');
set(hh,'edgecolor',[0 0.95 0.85]);
set(hh,'facecolor',[0 0.75 0.75]);

hold on
hh1=plot(h,y(:,1),'LineWidth',4);
axis tight

hold on;
zz=zeros(size(y,1),1);
plot(h,zz,'b-');
axis tight





xlabel(xax,'Interpreter','latex','FontSize',fsize)
ylabel(yax,'Interpreter','latex','FontSize',fsize)